### Function

# Secret Collection for_alias_sync

#### Declaration [src]

    SecretCollection*
    secret_collection_for_alias_sync (
      SecretService* service,
      const gchar* alias,
      SecretCollectionFlags flags,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Lookup which collection is assigned to this alias. Aliases help determine well known collections, such as `default`.

If `service` is `NULL`, then `secret_service_get_sync()` will be called to get the default `SecretService` proxy.

This method may block and should not be used in user interface threads.

#### Parameters

`service`

  Type: `SecretService`

  A secret service object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`alias`

  Type: `const gchar*`

  The alias to lookup.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `SecretCollectionFlags`

  Options for the collection initialization.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `SecretCollection`

The collection, or `NULL` if none assigned to the alias.

The caller of the function takes ownership of the data, and is responsible for freeing it.